#pragma once
#include "node.h"
#include "node_slider.h"

class NodeToolBucket : public Node
{
    NodeSliderH* m_slider_threshold;
public:
    using this_class = NodeToolBucket;
    using parent = Node;
    virtual Node* clone_instantiate() const override;
    virtual void clone_finalize(Node* dest) const override;
    virtual void init() override;
    void init_controls();
    float get_threshold() const;
};
